%define	major 4
%define libname	%mklibname pst %{major}
%define develname %mklibname -d pst

Name:               libpst
Version:            0.6.76
Release:            %mkrel 2
License:            GPLv2+
Summary:            Utilities to convert Outlook .pst files to other formats
Group:              Networking/Mail
URL:                http://www.five-ten-sg.com/%{name}/
Source0:            http://www.five-ten-sg.com/%{name}/packages/%{name}-%{version}.tar.xz
Patch0:             libpst-python3.10.patch

BuildRequires:      %{_lib}gsf-1_114-devel
BuildRequires:      ImageMagick
BuildRequires:      freetype-devel
BuildRequires:      gd-devel
BuildRequires:      jpeg-devel
BuildRequires:      zlib-devel
BuildRequires:      gettext-devel
BuildRequires:      python-devel
BuildRequires:      boost-devel

Requires:           ImageMagick
Requires:	       %{libname} = %{version}

Obsoletes:	    pst-utils
Provides:	    pst-utils

%description
The Libpst utilities include readpst which can convert email messages
to both mbox and MH mailbox formats, pst2ldif which can convert the
contacts to .ldif format for import into ldap databases, and pst2dii
which can convert email messages to the DII load file format used by
Summation.

%package -n	%{libname}
Summary:	A shared library for .pst files support
Group:          System/Libraries

%description -n	%{libname}
Library needed for running libpst tools.

%package -n	%{develname}
Summary:	Library and header files for the libpst library
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
Library and header files for the libpst library.

%package -n python3-%name
Summary:	Python binding for the libpst library
Group:		Development/Python
Requires:	%libname = %version-%release
Obsoletes:  python-%name

%description -n	python3-%name
Python module for using pst files.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-libpst-shared --enable-shared --disable-static  --with-boost-python=boost_python%{python3_version_nodots}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' -delete


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%docdir %{_datadir}/doc/%{name}-%{version}
%{_datadir}/doc/%{name}-%{version}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/libpst-4/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n python3-%name
%defattr(-,root,root)
%{python3_sitearch}/_libpst.so

%changelog
* Sun Sep 18 2022 tex - 0.6.76-2pclos2022
- rebuild against updates

* Mon Aug 08 2022 TerryN <terryn94 at gmail.com> - 0.6.76-1pclos2022
- update and rebuild for python 3.10

* Sat Feb 01 2020 tex - 0.6.74-1pclos2020
- new version

* Sat Jun 01 2019 tex - 0.6.61-5pclos2019
- rebuild against updates

* Sat Sep 16 2017 bb2 <bb2> - 0.6.61-4pclos2017
- rebuild new boost

* Tue Sep 12 2017 bb2 <bb2> - 0.6.61-3pclos2017
- rebuild
